explain_getcwd_or_die(3)

NAME
explain_getcwd_or_die - get current working directory and report errors

SYNOPSIS
#include <libexplain/getcwd.h>

void explain_getcwd_or_die(char *buf, size_t size);

DESCRIPTION
The explain_getcwd_or_die function is used to call the getcwd(2) system call. On failure an explanation will be printed to stderr, obtained from explain_getcwd(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_getcwd_or_die(buf, size);

buf The buf, exactly as to be passed to the getcwd(2) system call.

size
    The size, exactly as to be passed to the getcwd(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

getcwd(2)
    Get current working directory

explain_getcwd(3)
    explain getcwd(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller